com.amazonaws.services.simpleworkflow.model

## Class DecisionTaskTimedOutEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.DecisionTaskTimedOutEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class DecisionTaskTimedOutEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `DecisionTaskTimedOut` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DecisionTaskTimedOutEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DecisionTaskTimedOutEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`Long` `getScheduledEventId()` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`Long` `getStartedEventId()` The ID of the `DecisionTaskStarted` event recorded when this decision task was started.
`String` `getTimeoutType()` The type of timeout that expired before the decision task could be completed.
`int` `hashCode()`
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `DecisionTaskStarted` event recorded when this decision task was started.
`void` `setTimeoutType(DecisionTaskTimeoutType timeoutType)` The type of timeout that expired before the decision task could be completed.
`void` `setTimeoutType(String timeoutType)` The type of timeout that expired before the decision task could be completed.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DecisionTaskTimedOutEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled.
`DecisionTaskTimedOutEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `DecisionTaskStarted` event recorded when this decision task was started.
`DecisionTaskTimedOutEventAttributes` `withTimeoutType(DecisionTaskTimeoutType timeoutType)` The type of timeout that expired before the decision task could be completed.
`DecisionTaskTimedOutEventAttributes` `withTimeoutType(String timeoutType)` The type of timeout that expired before the decision task could be completed.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DecisionTaskTimedOutEventAttributes

    public DecisionTaskTimedOutEventAttributes()

### Method Detail

#### setTimeoutType

    public void setTimeoutType(String timeoutType)

The type of timeout that expired before the decision task could be completed.

Parameters:
  `timeoutType` - The type of timeout that expired before the decision task could be completed.
See Also:
  `DecisionTaskTimeoutType`

#### getTimeoutType

    public String getTimeoutType()

The type of timeout that expired before the decision task could be completed.

Returns:
  The type of timeout that expired before the decision task could be completed.
See Also:
  `DecisionTaskTimeoutType`

#### withTimeoutType

    public DecisionTaskTimedOutEventAttributes withTimeoutType(String timeoutType)

The type of timeout that expired before the decision task could be completed.

Parameters:
  `timeoutType` - The type of timeout that expired before the decision task could be completed.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DecisionTaskTimeoutType`

#### setTimeoutType

    public void setTimeoutType(DecisionTaskTimeoutType timeoutType)

The type of timeout that expired before the decision task could be completed.

Parameters:
  `timeoutType` - The type of timeout that expired before the decision task could be completed.
See Also:
  `DecisionTaskTimeoutType`

#### withTimeoutType

    public DecisionTaskTimedOutEventAttributes withTimeoutType(DecisionTaskTimeoutType timeoutType)

The type of timeout that expired before the decision task could be completed.

Parameters:
  `timeoutType` - The type of timeout that expired before the decision task could be completed.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `DecisionTaskTimeoutType`

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public DecisionTaskTimedOutEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `DecisionTaskScheduled` event that was recorded when this decision task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public DecisionTaskTimedOutEventAttributes withStartedEventId(Long startedEventId)

The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `DecisionTaskStarted` event recorded when this decision task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DecisionTaskTimedOutEventAttributes clone()

Overrides:
  `clone` in class `Object`